Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.lwjgl.opengl
Class ARBFragmentProgram

    java.lang.Object
      org.lwjgl.opengl.ARBProgram
          org.lwjgl.opengl.ARBFragmentProgram

    public final class ARBFragmentProgram

extends ARBProgram

Field Summary
`static int` | `GL_FRAGMENT_PROGRAM_ARB` Accepted by the <cap> parameter of Disable, Enable, and IsEnabled, by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev, and by the <target> parameter of ProgramStringARB, BindProgramARB, ProgramEnvParameter4[df][v]ARB, ProgramLocalParameter4[df][v]ARB, GetProgramEnvParameter[df]vARB, GetProgramLocalParameter[df]vARB, GetProgramivARB and GetProgramStringARB.
`static int` | `GL_MAX_PROGRAM_ALU_INSTRUCTIONS_ARB`
`static int` | `GL_MAX_PROGRAM_NATIVE_ALU_INSTRUCTIONS_ARB`
`static int` | `GL_MAX_PROGRAM_NATIVE_TEX_INDIRECTIONS_ARB`
`static int` | `GL_MAX_PROGRAM_NATIVE_TEX_INSTRUCTIONS_ARB`
`static int` | `GL_MAX_PROGRAM_TEX_INDIRECTIONS_ARB`
`static int` | `GL_MAX_PROGRAM_TEX_INSTRUCTIONS_ARB`
`static int` | `GL_MAX_TEXTURE_COORDS_ARB` Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:
`static int` | `GL_MAX_TEXTURE_IMAGE_UNITS_ARB`
`static int` | `GL_PROGRAM_ALU_INSTRUCTIONS_ARB` Accepted by the <pname> parameter of GetProgramivARB:
`static int` | `GL_PROGRAM_NATIVE_ALU_INSTRUCTIONS_ARB`
`static int` | `GL_PROGRAM_NATIVE_TEX_INDIRECTIONS_ARB`
`static int` | `GL_PROGRAM_NATIVE_TEX_INSTRUCTIONS_ARB`
`static int` | `GL_PROGRAM_TEX_INDIRECTIONS_ARB`
`static int` | `GL_PROGRAM_TEX_INSTRUCTIONS_ARB`

Fields inherited from class org.lwjgl.opengl.ARBProgram
`GL_CURRENT_MATRIX_ARB, GL_CURRENT_MATRIX_STACK_DEPTH_ARB, GL_MATRIX0_ARB, GL_MATRIX1_ARB, GL_MATRIX10_ARB, GL_MATRIX11_ARB, GL_MATRIX12_ARB, GL_MATRIX13_ARB, GL_MATRIX14_ARB, GL_MATRIX15_ARB, GL_MATRIX16_ARB, GL_MATRIX17_ARB, GL_MATRIX18_ARB, GL_MATRIX19_ARB, GL_MATRIX2_ARB, GL_MATRIX20_ARB, GL_MATRIX21_ARB, GL_MATRIX22_ARB, GL_MATRIX23_ARB, GL_MATRIX24_ARB, GL_MATRIX25_ARB, GL_MATRIX26_ARB, GL_MATRIX27_ARB, GL_MATRIX28_ARB, GL_MATRIX29_ARB, GL_MATRIX3_ARB, GL_MATRIX30_ARB, GL_MATRIX31_ARB, GL_MATRIX4_ARB, GL_MATRIX5_ARB, GL_MATRIX6_ARB, GL_MATRIX7_ARB, GL_MATRIX8_ARB, GL_MATRIX9_ARB, GL_MAX_PROGRAM_ATTRIBS_ARB, GL_MAX_PROGRAM_ENV_PARAMETERS_ARB, GL_MAX_PROGRAM_INSTRUCTIONS_ARB, GL_MAX_PROGRAM_LOCAL_PARAMETERS_ARB, GL_MAX_PROGRAM_MATRICES_ARB, GL_MAX_PROGRAM_MATRIX_STACK_DEPTH_ARB, GL_MAX_PROGRAM_NATIVE_ATTRIBS_ARB, GL_MAX_PROGRAM_NATIVE_INSTRUCTIONS_ARB, GL_MAX_PROGRAM_NATIVE_PARAMETERS_ARB, GL_MAX_PROGRAM_NATIVE_TEMPORARIES_ARB, GL_MAX_PROGRAM_PARAMETERS_ARB, GL_MAX_PROGRAM_TEMPORARIES_ARB, GL_PROGRAM_ATTRIBS_ARB, GL_PROGRAM_BINDING_ARB, GL_PROGRAM_ERROR_POSITION_ARB, GL_PROGRAM_ERROR_STRING_ARB, GL_PROGRAM_FORMAT_ARB, GL_PROGRAM_FORMAT_ASCII_ARB, GL_PROGRAM_INSTRUCTIONS_ARB, GL_PROGRAM_LENGTH_ARB, GL_PROGRAM_NATIVE_ATTRIBS_ARB, GL_PROGRAM_NATIVE_INSTRUCTIONS_ARB, GL_PROGRAM_NATIVE_PARAMETERS_ARB, GL_PROGRAM_NATIVE_TEMPORARIES_ARB, GL_PROGRAM_PARAMETERS_ARB, GL_PROGRAM_STRING_ARB, GL_PROGRAM_TEMPORARIES_ARB, GL_PROGRAM_UNDER_NATIVE_LIMITS_ARB, GL_TRANSPOSE_CURRENT_MATRIX_ARB`

Method Summary

Methods inherited from class org.lwjgl.opengl.ARBProgram
`glBindProgramARB, glDeleteProgramsARB, glGenProgramsARB, glGetProgramARB, glGetProgramEnvParameterARB, glGetProgramEnvParameterARB, glGetProgramLocalParameterARB, glGetProgramLocalParameterARB, glGetProgramStringARB, glIsProgramARB, glProgramEnvParameter4ARB, glProgramEnvParameter4ARB, glProgramEnvParameter4dARB, glProgramEnvParameter4fARB, glProgramLocalParameter4ARB, glProgramLocalParameter4ARB, glProgramLocalParameter4dARB, glProgramLocalParameter4fARB, glProgramStringARB`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### GL_FRAGMENT_PROGRAM_ARB

    public static final int GL_FRAGMENT_PROGRAM_ARB

  Accepted by the <cap> parameter of Disable, Enable, and IsEnabled, by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev, and by the <target> parameter of ProgramStringARB, BindProgramARB, ProgramEnvParameter4[df][v]ARB, ProgramLocalParameter4[df][v]ARB, GetProgramEnvParameter[df]vARB, GetProgramLocalParameter[df]vARB, GetProgramivARB and GetProgramStringARB.

  See Also:
    Constant Field Values

### GL_PROGRAM_ALU_INSTRUCTIONS_ARB

    public static final int GL_PROGRAM_ALU_INSTRUCTIONS_ARB

  Accepted by the <pname> parameter of GetProgramivARB:

  See Also:
    Constant Field Values

### GL_PROGRAM_TEX_INSTRUCTIONS_ARB

    public static final int GL_PROGRAM_TEX_INSTRUCTIONS_ARB

See Also:
  Constant Field Values

### GL_PROGRAM_TEX_INDIRECTIONS_ARB

    public static final int GL_PROGRAM_TEX_INDIRECTIONS_ARB

See Also:
  Constant Field Values

### GL_PROGRAM_NATIVE_ALU_INSTRUCTIONS_ARB

    public static final int GL_PROGRAM_NATIVE_ALU_INSTRUCTIONS_ARB

See Also:
  Constant Field Values

### GL_PROGRAM_NATIVE_TEX_INSTRUCTIONS_ARB

    public static final int GL_PROGRAM_NATIVE_TEX_INSTRUCTIONS_ARB

See Also:
  Constant Field Values

### GL_PROGRAM_NATIVE_TEX_INDIRECTIONS_ARB

    public static final int GL_PROGRAM_NATIVE_TEX_INDIRECTIONS_ARB

See Also:
  Constant Field Values

### GL_MAX_PROGRAM_ALU_INSTRUCTIONS_ARB

    public static final int GL_MAX_PROGRAM_ALU_INSTRUCTIONS_ARB

See Also:
  Constant Field Values

### GL_MAX_PROGRAM_TEX_INSTRUCTIONS_ARB

    public static final int GL_MAX_PROGRAM_TEX_INSTRUCTIONS_ARB

See Also:
  Constant Field Values

### GL_MAX_PROGRAM_TEX_INDIRECTIONS_ARB

    public static final int GL_MAX_PROGRAM_TEX_INDIRECTIONS_ARB

See Also:
  Constant Field Values

### GL_MAX_PROGRAM_NATIVE_ALU_INSTRUCTIONS_ARB

    public static final int GL_MAX_PROGRAM_NATIVE_ALU_INSTRUCTIONS_ARB

See Also:
  Constant Field Values

### GL_MAX_PROGRAM_NATIVE_TEX_INSTRUCTIONS_ARB

    public static final int GL_MAX_PROGRAM_NATIVE_TEX_INSTRUCTIONS_ARB

See Also:
  Constant Field Values

### GL_MAX_PROGRAM_NATIVE_TEX_INDIRECTIONS_ARB

    public static final int GL_MAX_PROGRAM_NATIVE_TEX_INDIRECTIONS_ARB

See Also:
  Constant Field Values

### GL_MAX_TEXTURE_COORDS_ARB

    public static final int GL_MAX_TEXTURE_COORDS_ARB

  Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:

  See Also:
    Constant Field Values

### GL_MAX_TEXTURE_IMAGE_UNITS_ARB

    public static final int GL_MAX_TEXTURE_IMAGE_UNITS_ARB

See Also:
  Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2006 lwjgl.org. All Rights Reserved.